aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorWilmer van der Gaast <wilmer@gaast.net>2008-08-12 00:25:40 +0100
committerWilmer van der Gaast <wilmer@gaast.net>2008-08-12 00:25:40 +0100
commit59c84c20ad924fedb9106599b96d2c48ff1cc316 (patch)
treee962c13554d208de97a73690ab00e18a3f6e66e8
parent45b9d3e776024bdbda3edddaf85d130367cdeb6e (diff)
1.2.1-1.1 (NMU by Don Armstrong).1.2.1-1.1
-rw-r--r--debian/changelog8
-rwxr-xr-xdebian/postinst12
-rwxr-xr-xdebian/prerm6
3 files changed, 23 insertions, 3 deletions
diff --git a/debian/changelog b/debian/changelog
index 897cc5fa..fdff2d80 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+bitlbee (1.2.1-1.1) unstable; urgency=low
+
+ * Non-Maintainer Upload
+ * Use invoke-rc.d as per policy. (Closes: #492637) [Thanks to Matt
+ Kraii]
+
+ -- Don Armstrong <don@debian.org> Wed, 06 Aug 2008 06:57:18 -0700
+
bitlbee (1.2.1-1) unstable; urgency=low
* New upstream release.
diff --git a/debian/postinst b/debian/postinst
index 80249bfe..1363bfb6 100755
--- a/debian/postinst
+++ b/debian/postinst
@@ -64,7 +64,11 @@ if [ -e /usr/share/bitlbee/help.upgrading ]; then
fi
if [ -n "$2" -a "$BITLBEE_UPGRADE_DONT_RESTART" != "1" ]; then
- /etc/init.d/bitlbee restart
+ if which invoke-rc.d >/dev/null 2>&1; then
+ invoke-rc.d bitlbee restart
+ else
+ /etc/init.d/bitlbee restart
+ fi
fi
## If we're upgrading, we'll probably skip this next part
@@ -90,5 +94,9 @@ else
fi
if [ -z "$2" ]; then
- /etc/init.d/bitlbee start
+ if which invoke-rc.d >/dev/null 2>&1; then
+ invoke-rc.d bitlbee start
+ else
+ /etc/init.d/bitlbee start
+ fi
fi
diff --git a/debian/prerm b/debian/prerm
index 5272e273..8426ab3a 100755
--- a/debian/prerm
+++ b/debian/prerm
@@ -9,5 +9,9 @@ if [ "$1" = "upgrade" ]; then
mv /usr/share/bitlbee/help.txt /usr/share/bitlbee/help.upgrading
fi
else
- /etc/init.d/bitlbee stop || exit 0
+ if which invoke-rc.d >/dev/null 2>&1; then
+ invoke-rc.d bitblee stop || exit 0
+ else
+ /etc/init.d/bitlbee stop || exit 0
+ fi
fi
21 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277